Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.pkcs1
Class RSAPrivateKey

    java.lang.Object
      com.mindbright.asn1.ASN1Object
          com.mindbright.asn1.ASN1Structure
              com.mindbright.asn1.ASN1Sequence
                  com.mindbright.security.pkcs1.RSAPrivateKey

public class RSAPrivateKey
extends ASN1Sequence

NOTE: Currently only supports pkcs#1 v1.5, otherPrimeInfos is left out.

     RSAPrivateKey ::= SEQUENCE {
       version                 Version,
       modulus                 INTEGER, -- (Usually large) n
       publicExponent          INTEGER, -- (Usually small) e
       privateExponent         INTEGER, -- (Usually large) d
       prime1                  INTEGER, -- (Usually large) p
       prime2                  INTEGER, -- (Usually large) q
       exponent1               INTEGER, -- (Usually large) d mod (p-1)
       exponent2               INTEGER, -- (Usually large) d mod (q-1)
       coefficient             INTEGER, -- (Usually large) (inverse of q) mod p
       otherPrimeInfos         OtherPrimeInfos OPTIONAL
     }

     Version ::= INTEGER { two-prime(0), multi(1) }
       (CONSTRAINED BY {-- version must be multi if otherPrimeInfos present --})

     OtherPrimeInfos ::= SEQUENCE SIZE(1..MAX) OF OtherPrimeInfo

     OtherPrimeInfo ::= SEQUENCE {
       prime INTEGER,  -- ri
       exponent INTEGER, -- di
       coefficient INTEGER -- ti
     }

Field Summary
`ASN1Integer` | `coefficient`
`ASN1Integer` | `exponent1`
`ASN1Integer` | `exponent2`
`ASN1Integer` | `modulus`
`ASN1Integer` | `prime1`
`ASN1Integer` | `prime2`
`ASN1Integer` | `privateExponent`
`ASN1Integer` | `publicExponent`
`ASN1Integer` | `version`

Fields inherited from class com.mindbright.asn1.ASN1Structure
`components, count, ofType`

Fields inherited from class com.mindbright.asn1.ASN1Object
`isSet, tag`

Constructor Summary
`RSAPrivateKey()`
`RSAPrivateKey(int version, java.math.BigInteger modulus, java.math.BigInteger publicExponent, java.math.BigInteger privateExponent, java.math.BigInteger prime1, java.math.BigInteger prime2, java.math.BigInteger coefficient)`
`RSAPrivateKey(int version, java.math.BigInteger modulus, java.math.BigInteger publicExponent, java.math.BigInteger privateExponent, java.math.BigInteger prime1, java.math.BigInteger prime2, java.math.BigInteger exponent1, java.math.BigInteger exponent2, java.math.BigInteger coefficient)`

Methods inherited from class com.mindbright.asn1.ASN1Structure
`addComponent, addComponent, addOptional, addOptional, addOptional, decodeValue, encodeValue, equals, getComponent, getCount, getDecodeComponent, getDefault, getDistinctComponent, hashCode, isOptional, ofType`

Methods inherited from class com.mindbright.asn1.ASN1Object
`decodeValue, getTag, getType, isSet, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public ASN1Integer version

### modulus

    public ASN1Integer modulus

### publicExponent

    public ASN1Integer publicExponent

### privateExponent

    public ASN1Integer privateExponent

### prime1

    public ASN1Integer prime1

### prime2

    public ASN1Integer prime2

### exponent1

    public ASN1Integer exponent1

### exponent2

    public ASN1Integer exponent2

### coefficient

    public ASN1Integer coefficient

Constructor Detail

### RSAPrivateKey

    public RSAPrivateKey()

### RSAPrivateKey

    public RSAPrivateKey(int version,
                         java.math.BigInteger modulus,
                         java.math.BigInteger publicExponent,
                         java.math.BigInteger privateExponent,
                         java.math.BigInteger prime1,
                         java.math.BigInteger prime2,
                         java.math.BigInteger coefficient)

### RSAPrivateKey

    public RSAPrivateKey(int version,
                         java.math.BigInteger modulus,
                         java.math.BigInteger publicExponent,
                         java.math.BigInteger privateExponent,
                         java.math.BigInteger prime1,
                         java.math.BigInteger prime2,
                         java.math.BigInteger exponent1,
                         java.math.BigInteger exponent2,
                         java.math.BigInteger coefficient)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD